summaryrefslogtreecommitdiff
path: root/qa/421
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/421
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/421')
-rwxr-xr-xqa/42156
1 files changed, 56 insertions, 0 deletions
diff --git a/qa/421 b/qa/421
new file mode 100755
index 0000000..ba97efd
--- /dev/null
+++ b/qa/421
@@ -0,0 +1,56 @@
+#! /bin/sh
+# PCP QA Test No. 421
+# verifies pmtraceabort functionality
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_cleanup()
+{
+ cd $here
+ if [ -n "$savedtracehost" ]
+ then
+ PCP_TRACE_HOST=$savedtracehost; export PCP_TRACE_HOST
+ fi
+ exit $status
+}
+
+status=1 # failure is the default!
+trap "_cleanup" 0 1 2 3 15
+
+if [ -n "$PCP_TRACE_HOST" ]
+then
+ savedtracehost=$PCP_TRACE_HOST; unset PCP_TRACE_HOST
+fi
+
+pminfo trace >/dev/null 2>&1
+remove=$?
+
+_filter_trace_install()
+{
+ # some warnings are *expected* - no trace values yet
+ _filter_pmda_install | sed \
+ -e 's/ *[0-9]+ warnings,//g'
+}
+
+cd $PCP_PMDAS_DIR/trace
+$sudo ./Install -R / </dev/null 2>&1 | _filter_trace_install
+_wait_for_pmcd
+
+# real QA test starts here
+pminfo -f trace.transact.count
+$here/src/tabort
+status=$?
+pminfo -f trace.transact.count
+
+[ $remove -eq 1 ] && $sudo $PCP_PMDAS_DIR/trace/Remove >/dev/null 2>&1
+
+exit